Page MenuHomePhabricator

Designate tooz coordinator is a spof
Closed, ResolvedPublic

Description

Currently the [coordination] backend_url config setting in designate.conf refers to a single memcached server. Coordination will break if that host is down.

I'm not sure what we're coordinating or how important this is, but we should make a nutcracker cluster out of all the designate hosts to remove this spof.

Event Timeline

Andrew created this task.Apr 13 2020, 2:59 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 13 2020, 2:59 PM

Change 588426 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Designate: remove the coordination_host param

https://gerrit.wikimedia.org/r/588426

Change 588426 merged by Andrew Bogott:
[operations/puppet@production] Designate: remove the coordination_host param

https://gerrit.wikimedia.org/r/588426

JHedden triaged this task as Medium priority.Apr 21 2020, 4:30 PM
Andrew closed this task as Resolved.Apr 27 2020, 1:58 PM
Andrew claimed this task.

This is done, there's now a mcrouter pool for this.